org.apache.ignite.internal.processors.cache.distributed

## Class GridDistributedCacheAdapter.GlobalRemoveAllJob<K,V>

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheAdapter.TopologyVersionAwareJob
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheAdapter.GlobalRemoveAllJob<K,V>

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

Enclosing class:
  GridDistributedCacheAdapter<K,V>

    @GridInternal
    public static class GridDistributedCacheAdapter.GlobalRemoveAllJob<K,V>
    extends GridCacheAdapter.TopologyVersionAwareJob

Internal job which performs remove all primary key mappings operation on a cache with the given name.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheAdapter.TopologyVersionAwareJob

`cacheName, ignite, jobCtx, topVer`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Object` `localExecute(@Nullable IgniteInternalCache cache0)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheAdapter.TopologyVersionAwareJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### localExecute

    @Nullable
    public @Nullable Object localExecute(@Nullable
                                                   @Nullable IgniteInternalCache cache0)

Specified by:
  `localExecute` in class `GridCacheAdapter.TopologyVersionAwareJob`
Parameters:
  `cache0` - Cache.
Returns:
  Local execution result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020